export class EventMgr extends cc.EventTarget {

    private static _inst: EventMgr;
    public static get inst(): EventMgr {
        if (this._inst == null) {
            this._inst = new EventMgr();
        }
        return this._inst;
    }
}